### Method

# Ide Config get_toolchain_id

#### Declaration

    const gchar*
    ide_config_get_toolchain_id (
      IdeConfig* self
    )

#### Description

Gets the toolchain id for the configuration.

Available since: | 3.32

Gets property | `Ide.Config:toolchain-id`

#### Return value

Returns: | `const gchar*`
| The id of an `IdeToolchain` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.